summaryrefslogtreecommitdiffstats
path: root/playbooks/common/openshift-cluster/upgrades/docker/nuke_images.sh
diff options
context:
space:
mode:
authorRussell Teague <rteague@redhat.com>2017-04-07 16:16:14 -0400
committerRussell Teague <rteague@redhat.com>2017-04-10 09:39:51 -0400
commitb4c2a7507ced4c47732a20b819d2e34bf4ca129c (patch)
tree8df0c047c996303af179ea3b2d04dac0ea210c08 /playbooks/common/openshift-cluster/upgrades/docker/nuke_images.sh
parent3ea629b458c78db194443563aab4a8d09e9a07b4 (diff)
downloadopenshift-b4c2a7507ced4c47732a20b819d2e34bf4ca129c.tar.gz
openshift-b4c2a7507ced4c47732a20b819d2e34bf4ca129c.tar.bz2
openshift-b4c2a7507ced4c47732a20b819d2e34bf4ca129c.tar.xz
openshift-b4c2a7507ced4c47732a20b819d2e34bf4ca129c.zip
Refactor docker upgrade playbooks
The playbooks were crossing byo/common boundaries for task includes. This moves all 'common' files/tasks into the 'common' folder.
Diffstat (limited to 'playbooks/common/openshift-cluster/upgrades/docker/nuke_images.sh')
-rw-r--r--playbooks/common/openshift-cluster/upgrades/docker/nuke_images.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/playbooks/common/openshift-cluster/upgrades/docker/nuke_images.sh b/playbooks/common/openshift-cluster/upgrades/docker/nuke_images.sh
new file mode 100644
index 000000000..8635eab0d
--- /dev/null
+++ b/playbooks/common/openshift-cluster/upgrades/docker/nuke_images.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Stop any running containers
+running_container_ids=`docker ps -q`
+if test -n "$running_container_ids"
+then
+ docker stop $running_container_ids
+fi
+
+# Delete all containers
+container_ids=`docker ps -a -q`
+if test -n "$container_ids"
+then
+ docker rm -f -v $container_ids
+fi
+
+# Delete all images (forcefully)
+image_ids=`docker images -aq`
+if test -n "$image_ids"
+then
+ # Some layers are deleted recursively and are no longer present
+ # when docker goes to remove them:
+ docker rmi -f `docker images -aq` || true
+fi
+